#! /bin/bash

# Building the presentation
## source: https://trac.osgeo.org/osgeolive/wiki/build_presentation_html_file


## Dependencies
sudo apt install cpanminus libtext-csv-perl
sudo cpanm Text::SimpleTable::AutoWidth
sudo -H pip install sphinxjp.themecore

## sphinxjp.themes.revealjs needs to be installed every time ???
pip install sphinxjp.themes.revealjs

cd ~/OSGeoLive-doc/

## change branch
git checkout develop 

#Clean previous build
if [ -d build ]; then
  rm -Rf build/
fi

mkdir build
cd build/
cmake -DHTML=ON -DFR=ON ..
cd doc/presentation/
bash scripts/build_presentation.pl
cd ../../../doc/presentation/
cp ../../build/doc/presentation/presentation.rst .
make html
## presentation can be seen there : ~/OSGeoLive-doc/doc/presentation/_build/html
